BSON_SUBTYPE_T(3)

NAME
bson_subtype_t - bson_subtype_t

Binary Field Subtype

SYNOPSIS

        #include <bson/bson.h>

        typedef enum {
           BSON_SUBTYPE_BINARY = 0x00,
           BSON_SUBTYPE_FUNCTION = 0x01,
           BSON_SUBTYPE_BINARY_DEPRECATED = 0x02,
           BSON_SUBTYPE_UUID_DEPRECATED = 0x03,
           BSON_SUBTYPE_UUID = 0x04,
           BSON_SUBTYPE_MD5 = 0x05,
           BSON_SUBTYPE_COLUMN = 0x07,
           BSON_SUBTYPE_USER = 0x80,
        } bson_subtype_t;

DESCRIPTION

This enumeration contains the various subtypes that may be used in a binary field. See http://bsonspec.org for more information.

EXAMPLE

        bson_t doc = BSON_INITIALIZER;

        BSON_APPEND_BINARY (&doc, "binary", BSON_SUBTYPE_BINARY, data, data_len);

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc